Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022770
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2013-01-10 17:262013-03-02 05:48
ReporterngarciaView Statuspublic 
Assigned Topramakrishnan 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisione8e2e51d2d8f
ProjectionnoneETAnoneTarget Version3.0MP21
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022770: No error message shown when trying to create an order from a quotation and the tax rate is not found

DescriptionNo error message shown when trying to create an order from a quotation and the tax rate is not found, although the sales quotation line has a tax rate.
Steps To ReproduceAs group admin role:
Configure the 'Document Type for Order' of the Sales Quotation document type as 'Standard Order'
Create a Tax Category
Do not assign it to any tax rate
Assign it to a product
Create a Sales quotation with that product
Book it and try to create an order from it
Notice that the Sales Order is not created but the application does not show any message
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0056801)
pramakrishnan (developer)
2013-02-27 12:01

Test Plan:
Login as Openbravo/openbravo
Navigate to Tax Category Window and create a new tax category
"Organization":F&B España - Región Sur
"Name":Test Category
Naviagate to Product window and select the product Cerveza Ale 0,5L
Modify the tax category to Test category
Navigate to sales Quotation window and create a new header
"Organization":F&B España - Región Sur
"Business Partner":Alimentos y Supermercados, S.A
Create Lines
"Line No": 10
"Product": Cerveza Ale 0,5L
"Ordered Quantity": 1

"Line No": 20
"Product": Vino Tinto 0,75L
"Ordered Quantity": 2

"Line No": 30
"Product": Cerveza Ale 0,5L
"Ordered Quantity": 3

Book it and try to create an order from it
Notice that the system throws the error "When converting a Sales Quotation into a Sales Order the Taxes are always recalculated based on the transaction date. There are Products with a Tax Category not associated with a tax rate in the Lines: 10, 30"
(0056843)
hgbot (developer)
2013-02-28 16:37

Repository: erp/devel/pi
Changeset: e8e2e51d2d8ff74676d80c9e1c089f28f540d369
Author: Pandeeswari Ramakrishnan <pandeeswari.ramakrishnan <at> openbravo.com>
Date: Wed Feb 27 16:19:46 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/e8e2e51d2d8ff74676d80c9e1c089f28f540d369 [^]

Fixes Issue 22770: No error message shown when creating an order from a quotation

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/erpCommon/ad_process/ConvertQuotationIntoOrder.java
---
(0056854)
Sandrahuguet (developer)
2013-02-28 16:39

Code review + testing OK
(0056933)
hudsonbot (developer)
2013-03-02 05:48

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f5db629e7058 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-01-10 17:26 ngarcia New Issue
2013-01-10 17:26 ngarcia Assigned To => dmiguelez
2013-01-10 17:26 ngarcia Modules => Core
2013-01-10 17:26 ngarcia Triggers an Emergency Pack => No
2013-01-10 17:27 ngarcia Issue Monitored: networkb
2013-01-10 17:29 ngarcia Target Version => 3.0MP20
2013-01-11 10:10 naiaramartinez Assigned To dmiguelez => jonalegriaesarte
2013-01-24 11:23 jonalegriaesarte Target Version 3.0MP20 => 3.0MP21
2013-02-20 14:50 jonalegriaesarte Assigned To jonalegriaesarte => ioritzCia
2013-02-26 09:59 ioritzCia Assigned To ioritzCia => dmiguelez
2013-02-26 10:40 pramakrishnan Assigned To dmiguelez => pramakrishnan
2013-02-26 10:40 pramakrishnan Status new => scheduled
2013-02-26 10:40 pramakrishnan fix_in_branch => pi
2013-02-27 12:01 pramakrishnan Note Added: 0056801
2013-02-28 16:37 hgbot Checkin
2013-02-28 16:37 hgbot Note Added: 0056843
2013-02-28 16:37 hgbot Status scheduled => resolved
2013-02-28 16:37 hgbot Resolution open => fixed
2013-02-28 16:37 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e8e2e51d2d8ff74676d80c9e1c089f28f540d369 [^]
2013-02-28 16:39 Sandrahuguet Review Assigned To => Sandrahuguet
2013-02-28 16:39 Sandrahuguet Note Added: 0056854
2013-02-28 16:39 Sandrahuguet Status resolved => closed
2013-03-02 05:48 hudsonbot Checkin
2013-03-02 05:48 hudsonbot Note Added: 0056933


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker